summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--etc/build.usage1
-rw-r--r--subr/build_args.subr8
2 files changed, 9 insertions, 0 deletions
diff --git a/etc/build.usage b/etc/build.usage
index ed54f300..bd77ae37 100644
--- a/etc/build.usage
+++ b/etc/build.usage
@@ -12,6 +12,7 @@ usage: ./build.sh [-4|6] [-a nt32|nt64] [-b debug|release] [-c] [-C dir[,..]]
tarballs (pkg,) RPM binary packages (rpm,) compressed and optionally
signed binary and source tarballs containing ${PREFIX} sans ${BUILD_WORKDIR}
(t{bz2,gz,xz},) and/or deployable distribution ZIP archive (zipdist.)
+ {t{bz2,gz,xz},zipdist} imply minipix.
-h Show this screen.
-N Offline mode: no {wget,git-{clone,pull}}(1) calls.
-P [jobs] Enables parallelisation at target-level, whenever applicable.
diff --git a/subr/build_args.subr b/subr/build_args.subr
index 5cdc63b9..2f18a5dd 100644
--- a/subr/build_args.subr
+++ b/subr/build_args.subr
@@ -56,6 +56,14 @@ build_args() {
shift;
fi;
done;
+ if ex_rtl_lmatch "${ARG_DIST}" , tbz2 \
+ || ex_rtl_lmatch "${ARG_DIST}" , tgz \
+ || ex_rtl_lmatch "${ARG_DIST}" , txz \
+ || ex_rtl_lmatch "${ARG_DIST}" , zipdist; then
+ if ! ex_rtl_lmatch "${ARG_DIST}" , minipix; then
+ ARG_DIST="${ARG_DIST:+${ARG_DIST},}minipix";
+ fi;
+ fi;
if [ -n "${ARG_RESTART}" ]; then
if [ "${ARG_RESTART%:*}" != "${ARG_RESTART}" ]; then
ARG_RESTART_AT="${ARG_RESTART#*:}"; ARG_RESTART="${ARG_RESTART%:*}";